﻿using System;

using Facade.Units;

namespace Facade.Commands
{
    public class StressUnit : ICommand
    {
        private GameUnit _unit;

        public StressUnit(GameUnit unit)
        {
            _unit = unit;
        }

        public void Execute()
        {
            Console.WriteLine("Unit is put under pressure and is going Aggressive!");
            _unit.Behaviour = UnitBehaviour.Aggressive;
        }

        public void Undo()
        {
            Console.WriteLine("Unit is calming down and is going Normal.");
            _unit.Behaviour = UnitBehaviour.Normal;
        }
    }
}
