﻿using System;

using Facade.Units;
using Facade.Shooting;
using Facade.Armor;

namespace Facade.FactionInfo
{
    public abstract class FactionDetailsFactory
    {
        public abstract UnitSide GetSide();
        public abstract UnitBehaviour GetBehaviour();
        public abstract string GetDescription(UnitType unitType);
        public abstract IShootingBehaviour GetShootingBehaviour(UnitType unitType);
        public abstract IArmorBehaviour GetArmor(UnitType unitType);
    }
}
